<template>
	<view>
		<view class="content">
			<view class="image-box">
				<image class="login-image" src="/static/qingju.jpg"></image>
			</view>
			<u-checkbox-group>
				<u-checkbox v-model="value" name="app" shape="circle">已阅读并同意
					<view class="xinxi">
						《法律条款及隐私政策》
					</view>
				</u-checkbox>
			</u-checkbox-group>
			<u-button class='login-box' :type="value? 'success':''" open-type="getUserInfo"
				@getuserinfo="bindGetUserInfo">
				<u-icon label-size='32' color="#FFFFFF" label-color='#FFFFFF' label="微信一建登录" size="50"
					name="/static/weChat.png"></u-icon>
			</u-button>
		</view>

		<view class="footer">
			<view @click="goPhoto">
				输入手机号登录/注册
			</view>
		</view>

		<u-toast ref="uToast" />
	</view>
</template>

<script>
	export default {
		data() {
			return {
				value: false,
				radioChange: false
			}
		},
		onLoad() {

		},
		methods: {
			bindGetUserInfo() {
				console.log(44444)
				if (!this.value) {
					uni.showToast({
						title: "请勾选",
						icon: 'none'
					})
					return
				}
			},
			goPhoto() {
				if (!this.value) {
					uni.showToast({
						title: "请勾选",
						icon: 'none'
					})
					return
				}
				uni.navigateTo({

				})
			}
		}
	}
</script>

<style scoped lang="scss">
	.content {
		margin: 0 4%;
		padding-top: 100rpx;
		text-align: center;
		.xinxi {
			display: inline-block;
			color: orange;
		}

		.login-box {
			margin-top: 100rpx;
		}

		.image-box {
			width: 100%;
			text-align: center;
			.login-image {
				width: 400rpx;
				height: 350rpx;
			}
		}
	}

	.footer {
		position: fixed;
		bottom: 100rpx;
		width: 100%;
		border: 1px solid green;
		text-align: center;
	}
</style>
